summaryrefslogtreecommitdiff
path: root/libre-testing/systemd/systemd-hook
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2019-01-18 19:19:46 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2019-01-18 19:19:46 -0500
commit1679eef96eb3a5b5446d9be586c3070ed750739a (patch)
tree2d0c13a4f536e57923b162dc693101339690dc80 /libre-testing/systemd/systemd-hook
parent7262681e044dffa25820ea90c657ffac266c254c (diff)
downloadabslibre-1679eef96eb3a5b5446d9be586c3070ed750739a.tar.gz
abslibre-1679eef96eb3a5b5446d9be586c3070ed750739a.tar.bz2
abslibre-1679eef96eb3a5b5446d9be586c3070ed750739a.zip
[systemd]: rebuild x86_64 in libre-testing
Diffstat (limited to 'libre-testing/systemd/systemd-hook')
-rw-r--r--libre-testing/systemd/systemd-hook23
1 files changed, 23 insertions, 0 deletions
diff --git a/libre-testing/systemd/systemd-hook b/libre-testing/systemd/systemd-hook
new file mode 100644
index 000000000..793a42943
--- /dev/null
+++ b/libre-testing/systemd/systemd-hook
@@ -0,0 +1,23 @@
+#!/bin/sh -e
+
+systemd_live() {
+ if [ ! -d /run/systemd/system ]; then
+ echo >&2 " Skipped: Current root is not booted."
+ exit 0
+ fi
+}
+
+case $1 in
+ catalog) /usr/bin/journalctl --update-catalog ;;
+ update) touch -c /usr ;;
+ sysusers) /usr/bin/systemd-sysusers ;;
+ tmpfiles) /usr/bin/systemd-tmpfiles --create ;;
+
+ daemon-reload) systemd_live; /usr/bin/systemctl daemon-reload ;;
+ binfmt) systemd_live; /usr/lib/systemd/systemd-binfmt ;;
+ sysctl) systemd_live; /usr/lib/systemd/systemd-sysctl ;;
+
+ *) echo >&2 " Invalid operation '$1'"; exit 1 ;;
+esac
+
+exit 0